### Hierarchy

- Renderer

## Index

### Constructors

- constructor

### Methods

- hideOld
- render
- renderAnnotations
- renderSubtitle
- renderText

## Constructors

### constructor

- new Renderer($main: Selection<any>, graph: ProvenanceGraph, options?: object): Renderer

- - Defined in annotation.ts:213

  #### Parameters

  - ##### $main: Selection<any>

  - ##### graph: ProvenanceGraph

  - ##### Default value options: object = {}

  #### Returns Renderer

## Methods

### hideOld

- hideOld(): any

- - Defined in annotation.ts:623

  #### Returns any

### render

- render(state: SlideNode, withTransition?: boolean, waitBetweenTakeDown?: boolean): PromiseLike<any>

- - Defined in annotation.ts:293

  #### Parameters

  - ##### state: SlideNode

  - ##### Default value withTransition: boolean = true

  - ##### Default value waitBetweenTakeDown: boolean = false

  #### Returns PromiseLike<any>

### renderAnnotations

- renderAnnotations(state: SlideNode): any

- - Defined in annotation.ts:609

  #### Parameters

  - ##### state: SlideNode

  #### Returns any

### renderSubtitle

- renderSubtitle(overlay: SlideNode): any

- - Defined in annotation.ts:637

  #### Parameters

  - ##### overlay: SlideNode

  #### Returns any

### renderText

- renderText(overlay: SlideNode): any

- - Defined in annotation.ts:644

  #### Parameters

  - ##### overlay: SlideNode

  #### Returns any

Generated using TypeDoc